Support Center

You Are Our Priority!

Where can I buy a smART STIX™ Engineer Kit?

You can buy the smART STIX™ Engineer Kit online. click here to visit our online store.

smART STIX App minimum requirements

The smART STIX App is supported on Apple iOS and Google Android operating systems.

Minimum OS version:

  • Apple iOS – requires iOS 12.0+
  • Google Android – requires Android 8.0+

Click here to download smART STIX App for iOS.

Click here to download smART STIX App for Android.

Download the User Manual

Download the complete user guide in PDF for your smART STIX™ Engineer Kit.

Get Guide Now

Have another question?
Open a support ticket!

*
*
*
*